.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 2;
    padding: 60px 0;
    @media (max-width: 1024px) {
        padding: 30px 0 20px;
        position: fixed;
        transition: background .3s ease;
        &._fix {
            background: #fff;
        }
    }
    &__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    &__logo {
        &_icon {
            width: 165px;
            height: 26px;
            fill: #1D1D1D;
        }
    }
    &__menu {
        display: flex;
        justify-content: space-between;
        @media (max-width: 1024px) {
            display: none;
        }
        &_link {
            display: inline-block;
            font-size: 12px;
            line-height: 14px;
            text-transform: uppercase;
            margin: 0 13px;
            color: #1D1D1D;
            &:hover {
                color: #CCA86F;
            }
        }
        &-mobile {
            display: none;
            @media (max-width: 1024px) {
                display: block;
            }
            &._active {
                .header__menu-mobile_box {
                    transform: translateX(0);
                }
            }
            &_btn {
                display: inline-block;
                width: 22px;
                height: 16px;
                position: relative;
                z-index: 99;
                &:before {
                    content: "";
                    width: 56px;
                    height: 56px;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                    border: 1px solid transparent;
                    border-radius: 50%;
                    transition: all 0.4s ease-in-out;
                }
                i {
                    pointer-events: none;
                    padding: 0;
                    width: 22px;
                    height: 1px;
                    background-color: #1D1D1D;
                    display: block;
                    border-radius: 1px;
                    transition: all 0.4s ease-in-out;
                    position: absolute; 
                    &:first-child {
                        top: 0;
                        + i {
                            top: 8px;
                            + i {
                                top: 8px;
                                right: 0;
                                + i {
                                    bottom: 0;
                                }
                            }
                        }
                    }
                }
                &._active {
                    &:before {
                        border-color: #1D1D1D;
                    }
                    i {
                        background-color: #1D1D1D;
                        &:first-child {
                            transform: rotate(45deg);
                            transform-origin: 17%;
                            width: 28px;
                            + i {
                                transform: translateX(-22px);
                                background-color: transparent;
                                + i {
                                    transform: translateX(22px);
                                    background-color: transparent;
                                    + i {
                                        transform-origin: 6%;
                                        transform: rotate(-45deg);
                                        width: 28px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            &_box {
                position: fixed;
                width: 100%;
                height: 100%;
                background: #F1F1F1;
                top: 0;
                left: 0;
                z-index: 98;
                padding: 43px 20px;
                transform: translateX(-100%);
                transition: .4s ease;
                overflow: auto;
                .header {
                    &__lang {
                        display: block;
                        margin-bottom: 97px;
                        &_link {
                            font-size: 18px;
                        }
                    }
                    &__menu {
                        display: block;
                        &_link {
                            display: block;
                            font-weight: 300;
                            font-size: 32px;
                            line-height: 36px;
                            text-transform: uppercase;
                            color: #1D1D1D !important;
                            margin-bottom: 21px;
                        }
                    }
                }
                .btn-alternative {
                    position: absolute;
                    display: flex;
                    &__text {
                        fill: #1D1D1D;
                    }
                }
            }
        }
    }
    &__lang {
        display: flex;
        @media (max-width: 1024px) {
            display: none;
        }
        &_link {
            display: inline-block;
            font-family: 'NewBaskervilleExpOdC';
            font-size: 14px;
            line-height: 17px;
            color: #1D1D1D;
            margin-left: 9px;
            text-transform: uppercase;
            &._current {
                color: #CCA86F;
            }
            &:hover {
                color: #CCA86F;
            }
        }
    }
}
.bg-dark-header,
.bg-dark { 
    .header {
        @media (max-width: 1024px) {
            &._fix {
                background: #1D1D1D;
            }
        }
        &__logo {
            &_icon {
                fill: #fff;
            }
        }
        &__menu {
            &_link {
                color: #D5D1CB;                
                &:hover {
                    color: #CCA86F;
                }
            }
            &-mobile_btn {
                i {
                    background: #fff;
                }
                &._active {
                    i {
                        background: #1D1D1D;
                    }
                }
            }
        }
        &__lang {
            &_link {
                color: #7D7A74;
                &:hover {
                    color: #CCA86F;
                }
                &._current {
                    color: #CCA86F;
                }
            }
        }
    }
}